Restore an accountant
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/accountant/restoreAccount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"client_id": "fake_client_id",
"client_secret": "fake_client_secret",
"access_token": "1234"
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/accountant/restoreAccount"
payload = {
"client_id": "fake_client_id",
"client_secret": "fake_client_secret",
"access_token": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
client_id: 'fake_client_id',
client_secret: 'fake_client_secret',
access_token: '1234'
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/accountant/restoreAccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "SUCCESS",
"oAuth": {
"access_token": "00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624",
"refresh_token": "7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a",
"expires_in": 7776000,
"created_at": 1599065168,
"scope": "token"
},
"error": {}
}Accountant
Restore an accountant
Restore a Tight accountant account; the response contains an OAuth 2.0 access token, which can can be used to GET/POST directly into the accountant’s account
POST
/
v5
/
accountant
/
restoreAccount
Restore an accountant
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
Response
200 - application/json
Successful operation
⌘I